PROJECT(demo_optitrack)
cmake_minimum_required(VERSION 2.8)

SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
SET(FRAMEWORK_USE_FILTER TRUE)
SET(FRAMEWORK_USE_SENSOR_ACTUATOR TRUE)
SET(FRAMEWORK_USE_META TRUE)
SET(FRAMEWORK_USE_OPTITRACK TRUE)

include($ENV{IGEP_ROOT}/uav_dev/cmake_modules/GlobalCmakeUAV.cmake)
include(${FRAMEWORK_USE_FILE})

SET(SRC_FILES
	${CMAKE_SOURCE_DIR}/src/main.cpp
	${CMAKE_SOURCE_DIR}/src/DemoOptitrack.cpp
)

LINK_DIRECTORIES (
	${FRAMEWORK_LIBRARY_DIR}
)

INCLUDE_DIRECTORIES(
	${FRAMEWORK_INCLUDE_DIR}
)

#real time executable
ADD_EXECUTABLE(${PROJECT_NAME}_rt
	${SRC_FILES}
)

TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FRAMEWORK_LIBRARIES_RT})

#non real time executable
ADD_EXECUTABLE(${PROJECT_NAME}_nrt
	${SRC_FILES}
)

TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FRAMEWORK_LIBRARIES_NRT})
